Get threats associated with an incident
GET
/v1/incidents/{id}/threats
const url = 'https://api.adversarial.com/api/v1/incidents/INC-00001/threats';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.adversarial.com/api/v1/incidents/INC-00001/threatsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The ID of the incident to retrieve threats for — INC-00001 (case-insensitive) or a bare number
Example
INC-00001Responses
Section titled “Responses”Get the threats
Media typeapplication/json
Array<object>
A threat objective paired with how relevant it is to a risk.
Two relations are considered the same when the objective and its relevance
match; created_date records when the relation was last changed and is not
part of its identity.
object
created_date
The time that this relation was mutated
string | null format: date-time
relevance
threat_objective
required
The threat objective type
string
Example
[ { "relevance": "Moderate", "threat_objective": "Sabotage" }]Incident not found